---
updatedAt: 2025-05-28T00:12:10.000Z
agentTools:
  projectIndex: https://docs.wellsaidlabs.com/llms.txt
---

# Getting Started With Your API

This page will help you get started with WellSaid API.

Authentication is made via the X-Api-Key header passed along during a request. We do not currently support end-user authentication and recommend making requests from an internal or trusted source.

With a valid API key, you can quickly generate your first audio file by running the following curl command in your shell/terminal.

```curl
curl --location --request POST 'https://api.wellsaidlabs.com/v1/tts/stream' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'Accept: audio/mpeg' \
--header 'Content-Type: application/json' \
--data-raw '{
  "text": "Hello world!",
  "speaker_id": "3"
}' > hello_world.mp3
```

You can also test the API with your Key [here](https://docs.wellsaidlabs.com/reference/ttsstream).